Announcements
IMPORTANT: Cypress Developer Community is transitioning on October 20th. To learn more and be prepared for this change, check out our latest announcement.
cancel
Showing results for 
Search instead for 
Did you mean: 

Non Volatile RAM (F-RAM & NVSRAM)

Anonymous
Not applicable

We have a CY15B104Q at LSPI2 interface at our NXP SoC and we drive it fine with the m25p40.ko with minor adaptions. Like F-RAM Support under Linux – KBA223028

But how should we drive CY15B104QSN-108LPXI  at  QSPI0 for MTD, I couldnt find a KBA?

Should we modify a QSPI Nor-Flash driver too ? Like { "s25fl512s",  INFO(0x010220, 0x4d00, 256 * 1024, 256, SPI_NOR_DUAL_READ | SPI_NOR_QUAD_READ) },

We are looking forward to hearing from you how we can drive the QSPI F-RAM with linux v4.9.88

Best regards,

Boris

0 Likes
1 Solution
PradiptaB_11
Moderator
Moderator

Hi Boris,

Linux driver support through KBA223028 is for the SPI only interface. The QSPI FRAM Linux driver is not available. We are evaluating to create one for the QSPI FRAM.  KBA223028 still holds good to access the QSPI FRAM but in SPI mode.

In that case, you can follow the KBA223028 with an update to four bytes DID as “50, 51, 82, 06”.

The S25FL512S driver for the quad access can’t be used as is for the QSPI FRAM access because the method to configure the quad mode in S25FL512S and QSPI FRAM differs. This will require respective updates in low level driver of the SOC for SPI/QSPI access.

Thanks,

Pradipta.

View solution in original post

0 Likes
3 Replies
PradiptaB_11
Moderator
Moderator

Hi Boris,

We have some articles on this. I am providing the link below. Kindly have a look and let us know for any further queries.

Quad SPI Excelon Ultra F-RAM Driver Support for NXP microcontroller (LPC1857 series)

Driver Support for Quad SPI Excelon Ultra F-RAM

Thanks and Regards,

Pradipta.

0 Likes
Anonymous
Not applicable

Hi Pradipta,  your example driver for LPC18xx isn't for Linux because LPC18xx  microcontroller could not run Linux without MMU. I am now more precise, our i.MX8 microprocessor with MMU needs a Linux driver for new flexspi interface of SoC. We run already a  S25FL512S on the quad spi interface. What parameters do you suggest to run your device with spi-nor.c

e.g Everspin F-RAM single SPI: spi-nor.c\spi-nor\mtd\drivers - linux-imx - i.MX Linux kernel

e.g. in the file spi-nor.c you can also see SPI_NOR_QUAD_READ examples but no quad F-RAM.

1. How we should set up CY15B104QSN-108LPXI in the table spi-nor.c\spi-nor\mtd\drivers - linux-imx - i.MX Linux kernel  ?

2. Is the CY15B104QSN-108LPXI Linux mtd driver compatible ?

Best regards,

Boris

0 Likes
PradiptaB_11
Moderator
Moderator

Hi Boris,

Linux driver support through KBA223028 is for the SPI only interface. The QSPI FRAM Linux driver is not available. We are evaluating to create one for the QSPI FRAM.  KBA223028 still holds good to access the QSPI FRAM but in SPI mode.

In that case, you can follow the KBA223028 with an update to four bytes DID as “50, 51, 82, 06”.

The S25FL512S driver for the quad access can’t be used as is for the QSPI FRAM access because the method to configure the quad mode in S25FL512S and QSPI FRAM differs. This will require respective updates in low level driver of the SOC for SPI/QSPI access.

Thanks,

Pradipta.

View solution in original post

0 Likes